Bug 753930 - Mixed case characters in domain name cause id mappings to fail.
Mixed case characters in domain name cause id mappings to fail.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libnfsidmap (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-14 16:30 EST by Steve Dickson
Modified: 2011-12-03 21:24 EST (History)
1 user (show)

See Also:
Fixed In Version: libnfsidmap-0.24-7.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-03 21:24:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Dickson 2011-11-14 16:30:55 EST
Description of problem:
When there are upper and lower cases in domain names, all ids
and gids are mapped to the nobody id. For example

steved@RedHat.com would not mapped into the uid and gid of 
steved@redhat.com but it should.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fedora Update System 2011-11-14 16:57:01 EST
libnfsidmap-0.24-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libnfsidmap-0.24-7.fc16
Comment 2 Fedora Update System 2011-11-15 19:25:32 EST
Package libnfsidmap-0.24-7.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libnfsidmap-0.24-7.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15917
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2011-12-03 21:24:05 EST
libnfsidmap-0.24-7.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.